
/*
 * DS_List.h
 *
 * Created: 2014/08/10 5:54:29
 *  Author: Yaasan
 */ 


#ifndef DS_LIST_H_
#define DS_LIST_H_


uint8_t DSList_AddItem(DS_ITEM *inList, DS_ITEM inItem);
DS_ITEM DSList_GetItem(DS_ITEM *inList, uint8_t inNo);
uint8_t DSList_SetItem(DS_ITEM *inList, uint8_t inNo, DS_ITEM inItem);
uint8_t DSList_ZeroItem(DS_ITEM *inList, uint8_t inNo);
uint8_t DSList_ShiftItem(DS_ITEM *inList, uint8_t inNo);
uint8_t DSList_NewItem(DS_ITEM *inList, uint8_t inType, uint8_t inCmd, uint8_t inLen, uint8_t inCnt, uint8_t inDirection, uint8_t *inDatas);
uint8_t DSList_FindItem(DS_ITEM *inList, uint8_t inType, uint8_t inCmd, uint8_t inLen, uint8_t inCnt, uint8_t *inDatas);
uint8_t DSList_UpdateItem(DS_ITEM *inList, uint8_t inType, uint8_t inCmd, uint8_t inLen, uint8_t inCnt, uint8_t *inDatas);
uint8_t DSList_UpdateItem_OWFunction(DS_ITEM *inList, uint8_t inType, uint8_t inCmd, uint8_t inLen, uint64_t inFuncBuf, uint8_t inCnt, uint8_t *inDatas);
uint8_t DSList_DeleteItem(DS_ITEM *inList, uint8_t inNo);
void DSList_Clear(DS_ITEM *inList);

#endif /* DS_LIST_H_ */