/*********************************************************************
 * Desktop Station air Sketch for RP2040 Hardware Platform
 *
 * Copyright (C) 2023 DesktopStation Co.,Ltd. / Yaasan
 * https://desktopstation.net/
 */
 
#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>
#include "webapp.h"
#include "webapp_html.h"

void reply200Ok(WiFiClient client)
{
	long aPos = 0;
	
	
    // HTTP headers always start with a response code (e.g. HTTP/1.1 200 OK)
    // and a content-type so the client knows what's coming, then a blank line:
    client.println("HTTP/1.1 200 OK");
    client.println("Content-type:text/html");
    //client.println("Content-Encoding: gzip");
    //client.println();
	
	//client.write( (uint8_t *)dsairlite_wapp_min_html_gz, dsairlite_wapp_min_html_gz_len);

    // The HTTP response ends with another blank line:
    client.println();
	
}

void replyWebApp(WiFiClient client)
{
	long aPos = 0;
	
	
    // HTTP headers always start with a response code (e.g. HTTP/1.1 200 OK)
    // and a content-type so the client knows what's coming, then a blank line:
    client.println("HTTP/1.1 200 OK");
    client.println("Content-type:text/html");
    client.println("Content-Encoding: gzip");
    client.println();
	
	client.write( (uint8_t *)dsairlite_wapp_min_html_gz, dsairlite_wapp_min_html_gz_len);

    // The HTTP response ends with another blank line:
    client.println();
	
}
