//////////////////////////////////////////////////////////////////////////////////
// 
// DSairLite ParamManager
// Copyright(C)'2023- DesktopStation
// 
// 本ソフトウェアは、上記の著作者によって開発されたものであり、利用には
// ライセンス契約が必要となります。
// 
//////////////////////////////////////////////////////////////////////////////////
//

#include <arduino.h>

#include "ParamManager.h"


//初期化する
ParamManager::ParamManager()
{
	memset(u1_data, 0, sizeof(u1_data));

	Clear();
}

void ParamManager::Clear()
{
	//BIDI CUTOFF
	u4_FlagFunction = 0;//PARAMFLAG_OUTBIDICUTOUT;


}


bool ParamManager::GetFlagBidiCutout()
{
	bool aRet = false;

	if( (u4_FlagFunction & PARAMFLAG_OUTBIDICUTOUT) > 0 )
	{
		aRet = true;
	}

	return aRet;

}
